<template>
  <xc-select-v2 :data="data" style="width: 120px">
    <template #defalut="{item}">
      <span>
        {{ item }}
      </span>
    </template>
  </xc-select-v2>
</template>

<script setup name='Test' lang="tsx">
import XcSelectV2 from "@/components/xiao-chan/select-v2/XcSelectV2.vue";
import {onMounted} from "vue";

let data = $ref([])

onMounted(() => {
  for (let i = 0; i < 1000; i++) {
    data.push({
      code: 'code' + i,
      name: 'name' + i
    })
  }
})

</script>

<style lang="scss" scoped>

</style>

